- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- CreateCaseCommentRequest
Full name: projects.locations.instances.cases.caseComments.batchCreate
Adds multiple case comments in a single operation. This is efficient for bulk documentation updates.
HTTP request
POST https://{endpoint}/v1alpha/{parent}/caseComments:batchCreate
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The instance to batch create case comment on. Format: projects/{project}/locations/{location}/instances/{instance}/cases/-/caseComments:batchCreate |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"requests": [
{
object ( |
| Fields | |
|---|---|
requests[] |
Required. The CaseComment to create. |
Response body
If successful, the response body is an empty JSON object.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
chronicle.caseComments.update
For more information, see the IAM documentation.
CreateCaseCommentRequest
Request message for caseComments.create.
| JSON representation |
|---|
{
"parent": string,
"caseComment": {
object ( |
| Fields | |
|---|---|
parent |
Required. The parent resource where this CaseComment will be created. Format: projects/{project}/locations/{location}/instances/{instance}/cases/{case}/caseComments |
caseComment |
Required. The CaseComment to create. |